<form [formGroup]="form">
    <div formGroupName="information">
        <mat-form-field appearance="standard" class="w-100">
            <mat-label>Name</mat-label>
            <input matInput #name required maxlength="50" formControlName="name">
            <mat-hint align="end">{{name.value.length}} / 50</mat-hint>
            <mat-error *ngIf="form.get('information.name').hasError('required')">Name is required
            </mat-error>
            <mat-error *ngIf="form.get('information.name').hasError('charactersLength')">Name must be between 5 and 50 characters</mat-error>
        </mat-form-field>
        
        <mat-form-field appearance="standard" class="w-100">
            <mat-label>Model</mat-label>
            <input matInput #model required formControlName="model">
            <mat-error *ngIf="form.get('information.model').hasError('required')">Model is required</mat-error>
        </mat-form-field>

        <mat-form-field appearance="standard" class="w-100">
            <mat-label>Manufacturer</mat-label>
            <input matInput #manufacturer required formControlName="manufacturer">
            <mat-error *ngIf="form.get('information.manufacturer').hasError('required')">Manufacturer is required</mat-error>
        </mat-form-field>

        <mat-form-field appearance="standard" class="w-100">
            <mat-label>Passengers</mat-label>
            <input type="number" matInput #passengers required formControlName="passengers">
            <mat-error *ngIf="form.get('information.passengers').hasError('required')">Passengers count is required</mat-error>
        </mat-form-field>
       
        <div class="image d-flex align-items-center justify-content-center" dragDrop
            (fileDropped)="fileBrowseHandler($event)" (click)="attachFile.click()">
            <input #attachFile class="d-none" type="file" accept="image/png, image/jpeg"
                (change)="fileBrowseHandler($event.target.files)" />
            <div class="d-flex align-items-center flex-column p-2">
                <svg class="image__upload-icon" *ngIf="!form.get('information.imageUrl').value">
                    <use xlink:href="/assets/icons/sprite.svg#aui-icon-system-upload-large"></use>
                </svg>
                <div class="image__preview" urlSrc [url]="form.get('information.imageUrl').value"
                    *ngIf="form.get('information.imageUrl').value">
                </div>
                <p class="m-0">Drop your file or click here</p>
            </div>
        </div>
    </div>
</form>